<h2>Übersicht</h2>
<ion-card *ngIf="graphData.nodes.length !== 0">
  <ngx-graph class="chart-container" [links]="graphData.links" [nodes]="graphData.nodes" layout="dagre" layoutSettings="" [draggingEnabled]=false [autoZoom]=true [autoCenter]=true>
    <ng-template #defsTemplate>
      <svg:marker id="arrow" viewBox="0 -5 10 10" refX="8" refY="0" markerWidth="4" markerHeight="4" orient="auto">
        <svg:path d="M0,-5L10,0L0,5" class="arrow-head" />
      </svg:marker>
    </ng-template>
    <ng-template #nodeTemplate let-node>
      <svg:g class="node" [ngbTooltip]="node.solved === null ? 'noch nicht gelöst' : node.solved | date: '\'gelöst am\' dd MMM yyyy'" container="body" placement="top" [openDelay]="1000">
        <svg:rect [attr.width]="node.dimension.width" [attr.height]="node.dimension.height"
          [attr.fill]="node.solved !== null ? '#41ef64' : node.unlocked ? '#ffa500' : '#f04141'" />
        <svg:text [attr.fill]="'white'" alignment-baseline="central" [attr.x]="10" [attr.y]="node.dimension.height / 2">
          {{node.label}}
        </svg:text>
      </svg:g>
    </ng-template>
    <ng-template #linkTemplate let-link>
      <svg:g class="edge">
        <svg:path class="line" stroke-width="2" marker-end="url(#arrow)"></svg:path>
      </svg:g>
    </ng-template>
  </ngx-graph>
</ion-card>
